*, *::before, *::after {
    box-sizing: border-box;
}

:root {
    --default-color: #334155;
    --primary-color: #6d28d9;
    --white: #f8fafc;
}

:where(html, body) {
    inline-size: 100%;
    min-block-size: 100vh;
}

:where(body) {
    margin: 0;
    font-size: 1rem;
    line-height: 1.5;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    color: var(--default-color);
}

:where(h1, h2, h3, h4, h5, h6, p) {
    margin: 0;
}

:where(img, video) {
    display: block;
    max-inline-size: 100%;
}

:where(button) {
    border: 0;
    background-color: transparent;
    font: inherit;
    cursor: pointer;
}

:where(input, textarea) {
    font: inherit;
}

:where(select) {
    font: inherit;
    cursor: pointer;
}

:where(a) {
    color: inherit;
    text-decoration: none;
}

@media (prefers-reduced-motion: reduce) {
    *, *::before, *::after {
        transition: 0s!important;
    }
}

:where(*:focus-visible) {
    outline: solid 2px cyan;
    outline-offset: 2px;
}
